> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Get Investor Deal Service Providers

GET https://api.filesearch.dev/v2/datasets/odyssey/investors/{id}/service-providers/deal

Get service providers involved in an investor's specific deals.

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/investors/investors-service-providers-deal

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

Successful Response

- `investor_id` (string, required)
- `investor_name` (string, optional, nullable)
- `service_providers` (list of ServiceProvider, optional)
- `total_providers` (integer, optional, default: 0)

## Types

### ServiceProvider

Service provider information

- `name` (string, required)
- `provider_id` (string, optional, nullable)
- `relationship_start` (string, optional, nullable)
- `service_type` (string, optional, nullable)

## Examples

**Response**

```json
{
  "investor_id": "sequoia capital",
  "investor_name": "Sequoia Capital",
  "service_providers": [
    {
      "name": "Home | Sequoia Capital",
      "provider_id": null,
      "relationship_start": null,
      "service_type": "deal_advisor"
    },
    {
      "name": "Sequoia Capital - LinkedIn",
      "provider_id": null,
      "relationship_start": null,
      "service_type": "deal_advisor"
    }
  ],
  "total_providers": 6
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/investors/sequoia%20capital/service-providers/deal",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/investors/sequoia%20capital/service-providers/deal`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```